import { CourseLevel, PriceBox } from '../enums';
import type { Accordion, CareerPrice } from '../types';

export const awsDevopsCareerPrices: CareerPrice[] = [
  {
    description: 'Ejemplo 1: Al contado con un 60% de descuento.',
    discount: true,
    prices: [
      {
        title: 'Precio regular',
        price: 'USD 300',
        type: PriceBox.DiscountPrice,
        nextSign: '-',
      },
      {
        title: 'Dscto. 60%',
        price: 'USD 180',
        nextSign: '=',
      },
      {
        title: 'Precio final',
        price: 'USD 120',
        type: PriceBox.FinalPrice,
      },
    ],
  },
  {
    description: 'Ejemplo 2: En tres cuotas mensuales con 40% de descuento.',
    prices: [
      {
        title: 'Cuota 1 (mes 1)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 2 (mes 2)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 3 (mes 3)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Precio al finalizar el tercer mes',
        price: 'USD 180',
        type: PriceBox.FinalPrice,
      },
    ],
  },
];
export const awsDevopsCareerProgram: Accordion[] = [
  {
    title: 'Security, Identity & Compliance',
    hours: '40 Horas',
    children: [
      {
        title: 'Amazon Identity and Access Management (AWS IAM)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Certificate Manager',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Secrets Manager',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Key Management Service (AWS KMS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Computing & Networking',
    hours: '60 Horas',
    children: [
      {
        title: 'Amazon Virtual Private Cloud ( AWS VPC)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Compute Cloud (AWS EC2)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Route 53',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CloudFront',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Load Balancing',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon App Runner',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Serverless',
    hours: '50 Horas',
    children: [
      {
        title: 'Amazon Simple Notification Service (AWS SNS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon API Gateway',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon EventBridge (Amazon CloudWatch Events)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Lambda',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Simple Queue Service (AWS SQS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Infrastructure & Orchestration',
    hours: '10 Horas',
    children: [
      {
        title: 'Amazon CloudFormation',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Monitoring & Alerting',
    hours: '20 Horas',
    children: [
      {
        title: 'Amazon CloudWatch',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CloudTrail ',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Continuous Integration',
    hours: '50 Horas',
    children: [
      {
        title: 'Amazon CodeArtifact',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CodeBuild',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CodeDeploy',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CodePipeline',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CodeStar',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Collaboration & Management',
    hours: '10 Horas',
    children: [
      {
        title: 'Amazon CodeCommit',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Containers Orchestration',
    hours: '40 Horas',
    children: [
      {
        title: 'Amazon Elastic Container Registry (AWS ECR)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Fargate',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Container Service (AWS ECS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Kubernetes Service (AWS EKS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Store',
    hours: '50 Horas',
    children: [
      {
        title: 'Amazon Simple Storage Service (AWS S3)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Block Store (AWS EBS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic File System (AWS EFS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Relational Database Service (AWS RDS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon DynamoDB',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
];
