// eslint-disable-next-line import/extensions
import { CourseLevel, PriceBox } from '../enums';
import type { Accordion, CareerPrice } from '../types';

export const cloudopsCareerPrices: CareerPrice[] = [
  {
    description: 'Ejemplo 1: Al contado con un 60% de descuento.',
    discount: true,
    prices: [
      {
        title: 'Precio regular',
        price: 'USD 300',
        type: PriceBox.DiscountPrice,
        nextSign: '-',
      },
      {
        title: 'Dscto. 60%',
        price: 'USD 180',
        nextSign: '=',
      },
      {
        title: 'Precio final',
        price: 'USD 120',
        type: PriceBox.FinalPrice,
      },
    ],
  },
  {
    description: 'Ejemplo 2: En tres cuotas mensuales con 40% de descuento.',
    prices: [
      {
        title: 'Cuota 1 (mes 1)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 2 (mes 2)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 3 (mes 3)',
        price: 'USD 60',
        type: PriceBox.CuotePrice,
        nextSign: '=',
      },
      {
        title: 'Precio al finalizar el tercer mes',
        price: 'USD 180',
        type: PriceBox.FinalPrice,
      },
    ],
  },
];

export const cloudopsCareerProgram: Accordion[] = [
  {
    title: 'Collaboration and Productivity',
    hours: '20 Horas',
    children: [
      {
        title: 'Google Workspace I (Gmail - Classroom - Calendar - Drive)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Google Workspace II (Chat & Space - Meet - Docs - Sheets)',
        courseLevel: CourseLevel.Intermediate,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Development & Scripting',
    hours: '18 Horas',
    children: [
      {
        title: 'Bourne Again SHell (Bash)',
        courseLevel: CourseLevel.Introduction,
        hours: '8 Horas',
      },
      {
        title: 'Bourne Again SHell (Bash)',
        courseLevel: CourseLevel.Intermediate,
        hours: '8 Horas',
      },
      {
        title: 'Google Cloud Shell',
        courseLevel: CourseLevel.Introduction,
        hours: '2 Horas',
      },
    ],
  },
  {
    title: 'Infrastructure Orchestration',
    hours: '54 Horas',
    children: [
      {
        title: 'Terraform',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Terragrunt ',
        courseLevel: CourseLevel.Intermediate,
        hours: '20 Horas',
      },
      {
        title: 'Pulumi  ',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
    ],
  },
  {
    title: 'Software Control Managment',
    hours: '14 Horas',
    children: [
      {
        title: 'Git & GitHub',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
    ],
  },
  {
    title: 'Containers Orchestration',
    hours: '60 Horas',
    children: [
      {
        title: 'Docker',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Kubernetes',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Amazon Elastic Container Registry (ECR)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic Kubernetes Service (EKS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Continuous Integration',
    hours: '14 Horas',
    children: [
      {
        title: 'GitHub Actions',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
    ],
  },
  {
    title: 'Serverless',
    hours: '10 Horas',
    children: [
      {
        title: 'Amazon Simple Notification Service (SNS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Deployment Automation',
    hours: '10 Horas',
    children: [
      {
        title: 'Helm Charts',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Public Cloud Services',
    hours: '20 Horas',
    children: [
      {
        title: 'Amazon Web Services',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
    ],
  },
  {
    title: 'Compute',
    hours: '10 Horas',
    children: [
      {
        title: 'Amazon Elastic Compute Cloud (EC2)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Administration & Government',
    hours: '30 Horas',
    children: [
      {
        title: 'Amazon CloudWatch',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS CloudFormation',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Systems Manager',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Security, Identity and Compliance',
    hours: '40 Horas',
    children: [
      {
        title: 'AWS Certificate Manager',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Identity and Access Management (IAM) ',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Key Management Service (KMS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Secrets Manager ',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Networking & Content Delivery',
    hours: '40 Horas',
    children: [
      {
        title: 'Amazon Virtual Private Cloud (VPC)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Route53',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'AWS Elastic Load Balancing',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon CloudFront',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Storage',
    hours: '20 Horas',
    children: [
      {
        title: 'Amazon Simple Storage Service (S3)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Amazon Elastic File System (EFS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Database',
    hours: '10 Horas',
    children: [
      {
        title: 'Amazon Relational Database Service (RDS)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
];
