import { CourseLevel, PriceBox } from '../enums';
import type { Accordion, CareerPrice } from '../types';

export const devopsCareerPrices: CareerPrice[] = [
  {
    description: 'Ejemplo 1: Al contado con un 60% de descuento.',
    discount: true,
    prices: [
      {
        title: 'Precio regular',
        price: 'USD 180',
        type: PriceBox.DiscountPrice,
        nextSign: '-',
      },
      {
        title: 'Dscto. 60%',
        price: 'USD 108',
        nextSign: '=',
      },
      {
        title: 'Precio final',
        price: 'USD 72',
        type: PriceBox.FinalPrice,
      },
    ],
  },
  {
    description: 'Ejemplo 2: En tres cuotas mensuales con 40% de descuento.',
    prices: [
      {
        title: 'Cuota 1 (mes 1)',
        price: 'USD 36',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 2 (mes 2)',
        price: 'USD 36',
        type: PriceBox.CuotePrice,
        nextSign: '+',
      },
      {
        title: 'Cuota 3 (mes 3)',
        price: 'USD 36',
        type: PriceBox.CuotePrice,
        nextSign: '=',
      },
      {
        title: 'Precio al finalizar el tercer mes',
        price: 'USD 108',
        type: PriceBox.FinalPrice,
      },
    ],
  },
];
export const devopsCareerProgram: Accordion[] = [
  {
    title: 'Collaboration and Productivity',
    hours: '20 Horas',
    children: [
      {
        title: 'Google Workspace I (Gmail - Classroom - Calendar - Drive)',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Google Workspace II (Chat & Space - Meet - Docs - Sheets)',
        courseLevel: CourseLevel.Intermediate,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Development & Scripting',
    hours: '108 Horas',
    children: [
      {
        title: 'Python 3',
        courseLevel: CourseLevel.Introduction,
        hours: '45 Horas',
      },
      {
        title: 'Python 3',
        courseLevel: CourseLevel.Intermediate,
        hours: '45 Horas',
      },
      {
        title: 'Bourne Again SHell (Bash)',
        courseLevel: CourseLevel.Introduction,
        hours: '8 Horas',
      },
      {
        title: 'Bourne Again SHell (Bash)',
        courseLevel: CourseLevel.Intermediate,
        hours: '8 Horas',
      },
      {
        title: 'Google Cloud Shell',
        courseLevel: CourseLevel.Introduction,
        hours: '2 Horas',
      },
    ],
  },
  {
    title: 'Infrastructure Orchestration',
    hours: '54 Horas',
    children: [
      {
        title: 'Terraform',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Terragrunt ',
        courseLevel: CourseLevel.Intermediate,
        hours: '20 Horas',
      },
      {
        title: 'Pulumi  ',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
    ],
  },
  {
    title: 'Software Control Managment',
    hours: '20 Horas',
    children: [
      {
        title: 'Git & GitHub',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
      {
        title: 'Metodologias Ágiles',
        courseLevel: CourseLevel.Introduction,
        hours: '6 Horas',
      },
    ],
  },
  {
    title: 'Containers Orchestration',
    hours: '50 Horas',
    children: [
      {
        title: 'Docker',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Kubernetes',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Minikube ',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Continuous Integration',
    hours: '28 Horas',
    children: [
      {
        title: 'GitHub Actions',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
      {
        title: 'GitLab CI',
        courseLevel: CourseLevel.Introduction,
        hours: '14 Horas',
      },
    ],
  },
  {
    title: 'DataBases',
    hours: '10 Horas',
    children: [
      {
        title: 'MongoDB',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Deployment Automation',
    hours: '20 Horas',
    children: [
      {
        title: 'Helm Charts',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
      {
        title: 'Kustomize',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
  {
    title: 'Public Cloud Services',
    hours: '20 Horas',
    children: [
      {
        title: 'Amazon Web Services',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
    ],
  },
  {
    title: 'Monitoring & Alerting',
    hours: '50 Horas',
    children: [
      {
        title: 'Prometheus',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'Gafana',
        courseLevel: CourseLevel.Introduction,
        hours: '20 Horas',
      },
      {
        title: 'AlertManager ',
        courseLevel: CourseLevel.Introduction,
        hours: '10 Horas',
      },
    ],
  },
];
