import type { Faq } from '../types';

export const faq: Faq[] = [
  {
    number: 1,
    header: '¿Necesito conocimiento previo?',
    body: 'No, solo para conocer tu conocimiento en el área, vamos a querer conocerte profesionalmente y tendrás 3 opciones: Responder formulario de nivelación, adjuntar tu curriculum profesional o enviar el link de tu LinkedIn',
  },
  {
    number: 2,
    header: '¿En qué horario puedo estudiar?',
    body: 'En cualquier momento, realizarás un aprendizaje asincrónico que es aquel que, estando desconectados, aprendes a través de material o recursos educativos previamente proporcionados, es decir, aprendes lo mismo pero cada alumno a su ritmo',
  },
  {
    number: 3,
    header: '¿Necesito tener una conexión a internet?',
    body: 'Si, es necesario que tengas una conexión a internet aunque no será necesario que sea muy rápida',
  },
  {
    number: 4,
    header: '¿Cuándo empiezan las clases?',
    body: 'En CodyOps no tenemos un inicio de clases fijo ni un horario establecido. Nuestras clases están disponibles en línea y grabadas, lo que te permite comenzar cuando quieras y avanzar a tu propio ritmo. Tienes la flexibilidad de estudiar en el momento que más te convenga. Además, tendrás un plazo de 1 año para completar la carrera. ¡Empieza tu aprendizaje hoy mismo!',
  },    
  {
    number: 5,
    header: '¿Otorgan Certificado al finalizar la carrera? ¿Qué validez tiene?',
    body: 'Al finalizar la carrera te vamos a estar otorgando un Certificado de Finalización de Carrera, según la que hayas elegido, con el tiempo total de Horas cursadas (esto es aproximado). El certificado estará firmado por CodyOps y tú mismo para darle validez legal. Confiamos en la empresa HelloSign quienes firman nuestros certificados digitalmente para darle valor internacional. Al igual que los diplomas universitarios, nuestros certificados no tienen plazo de duración. Sí, claro está atado al programa que cambia todos los años',
  },    
  {
    number: 6,
    header: '¿Con qué material de estudio se desarrolla la carrera?',
    body: 'Nosotros realizamos todo el material de estudio basado en documentación oficial de cada producto. Adicionalmente, agregamos toda nuestra experiencia para que el contenido sea de fácil absorción y mucha pero mucha práctica para que puedas aprender haciendo y no sólo estudiando. Nuestros cursos disponen de videos en los cuales podrás ver toda la teoría explicada en tu idioma por un Ingeniero',
  },  
  {
    number: 7,
    header: '¿Cuáles son los medios de pago?',
    body: '(a) PayPal: Tarjetas de crédito y débitos internacionales, aquí puedes pagar con tus propias tarjetas o de 3ros. No requerimos validación adicional. O también puedes utilizar la opción de Saldo en cuenta. (b) Binance Pay (Criptomonedas USDT)',
  },   
  {
    number: 8,
    header: '¿Puedo abonar la carrera y empezarla más adelante?',
    body: 'Por supuesto, puedes abonar la carrera y empezar cuando tengas tiempo disponible. Nosotros sólo te pedimos que inicies en un plazo de un año para que no veas el programa de tu carrera con cambios. El mundo de la tecnología informática cambia muy rápido y nosotros debemos adaptarnos por lo que tenemos que hacer algunas modificaciones en los cursos del programa elegido',
  },     
  {
    number: 9,
    header: '¿Puedo aplicar a más de una pasantía si hago distintas carreras?',
    body: 'La pasantía se aplica una sola vez, no importa cuantas carreras hagas. Tampoco son acumulativas en tiempo',
  },   
  {
    number: 10,
    header: 'Si ya cuento con el conocimiento de algún curso que dictan ¿puedo decidir no cursar y proseguir con el programa de estudio?',
    body: 'Nosotros debemos validar que el conocimiento lo tengas realmente, por lo que puedes optar por rendir los exámenes y si el tema lo sabes bueno, lo pasarás rápidamente',
  },
  {
    number: 11,
    header: '¿Puedo cambiar de carrera si a mitad de camino me interesa más otra? ¿Reconocen los cursos aprobados?',
    body: 'Sí, puedes cambiar de carrera abonando la diferencia. Se reconocen los cursos aprobados',
  },
  {
    number: 12,
    header: '¿Si termino una carrera y empiezo otra, me hacen algún descuento o beneficio?',
    body: 'Sí, solo abonas el 50% del precio publicado (precio de lista)',
  },   
  {
    number: 13,
    header: '¿Si termino un curso gratuito y decido empezar una carrera, me hacen algún descuento o tengo algún beneficio?',
    body: 'Podemos hacerte un descuento o beneficio adicional',
  },     
  {
    number: 14,
    header: '¿Cómo me contacto con los instructores si tengo alguna consulta o duda?',
    body: 'Te puedes contactar vía email a ops@codyops.com o por mensajería interna del Classroom. Los instructores trabajan en distintas zonas horarias, por lo que probablemente se demore unas horas en responderte',
  },    
  {
    number: 15,
    header: '¿Cómo son las evaluaciones?',
    body: 'Todos los cursos tienen una auto-evaluación por cada módulo y además una evaluación general por curso. Además, te asignaremos prácticas integradoras que debes entregarnos para ver como has integrado todo el conocimiento previo',
  },
  {
    number: 16,
    header: 'Si me va mal en alguna evaluación ¿tengo posibilidad de volver a realizarla?',
    body: 'Sólo en caso que esté desaprobada, puedes solicitar que te asignemos otra evaluación diferente para que puedas volver a evaluar tus conocimientos',
  },    
  {
    number: 17,
    header: '¿Qué sucede si la modalidad de estudio no es la que esperaba?',
    body: 'Si sólo has iniciado el primer curso y ves que no es lo que esperabas, puedes asignar tu carrera a otra persona conocida o pedir un reembolso. Los Reembolsos no aplican a promociones especiales',
  },
  {
    number: 18,
    header: '¿Cuánto tiempo disponible tengo el material de estudio de la carrera?',
    body: 'Una vez que se cumpla el año, iremos reemplazando los cursos con nuevo material y ya dejarás de tener acceso a los nuevos',
  },   
  {
    number: 19,
    header: '¿Cuánto tiempo disponible tengo el material de estudio de un curso gratuito?',
    body: 'Lo tienes disponible 3 meses',
  },  
  {
    number: 20,
    header: '¿Cuáles son los requisitos para aplicar a una pasantía?',
    body: 'Para poder aplicar a nuestro programa de pasantías el promedio general de todos los cursos debe ser igual o superior a 9 (nueve) puntos y tener el 85% de los cursos aprobados. Para más informacion accede al siguiente link: https://www.codyops.com/internship/',
  },      
  {
    number: 21,
    header: '¿Cuánto tiempo tengo para aplicar al programa de pasantías remuneradas?',
    body: 'Tienes un máximo de hasta 2 (dos) años para poder aplicar al programa de pasantías una vez terminada tu carrera y cumpliendo con las exigencias de aplicar. Para más informacion accede al siguiente link: https://www.codyops.com/internship/',
  },   
  {
    number: 22,
    header: '¿Cuánto tiempo dura la pasantía?',
    body: 'La pasantía dura hasta un máximo de 6 meses para luego quedar en consideración de tu empleador si puedes continuar trabajando con ellos pero ya en una contratación directa y a tiempo completo. Para más información  https://www.codyops.com/internship/',
  },          
  {
    number: 26,
    header: '¿En qué se diferencia DevOps Engineer de AWS DevOps Engineer?',
    body: 'La diferencia entre ambas carreras radica en que DevOps Engineer se enfoca en el aprendizaje de la automatización y programación de integración y entrega continua usando herramientas de código abierto que pueden ser usadas tanto en tu propia computadora como en cualquier nube, en cambio AWS DevOps Engineer aprendes las mismas prácticas de automatización y programación de integración y entrega continua usando herramientas de código cerrado propias de la nube AWS',
  },        
  {
    number: 27,
    header: '¿En qué se diferencia DevOps Engineer de Cloud Engineer?',
    body: 'La diferencia entre ambas carreras radica en que DevOps Engineer se enfoca en el aprendizaje de la automatización y programación de integración y entrega continua usando herramientas de código abierto que pueden ser usadas tanto en tu propia computadora como en cualquier nube, en cambio Cloud Engineer se enfoca en el aprendizaje de gestión e implementación de Infraestructura en la Nube AWS',
  },
  {
    number: 28,
    header: '¿En qué se diferencia AWS DevOps Engineer de Cloud Engineer?',
    body: 'La diferencia entre ambas carreras radica en que AWS DevOps Engineer se enfoca en el aprendizaje de la automatización y programación de integración y entrega continua usando herramientas de código cerrado propias de la nube AWS en cambio Cloud Engineer aprendes a gestionar e implementar infraestructura en la nube AWS',
  },                        
  {
    number: 29,
    header: '¿Cómo es la modalidad de cursada?',
    body: 'En CodyOps no tenemos un inicio de clases fijo ni un horario establecido. Nuestras clases están disponibles en línea y grabadas, lo que te permite comenzar cuando quieras y avanzar a tu propio ritmo. También aprendes a través de material o recursos educativos previamente proporcionados. Tienes la flexibilidad de estudiar en el momento que más te convenga. Además, tendrás un plazo de 1 año para completar la carrera. ¡Empieza tu aprendizaje hoy mismo!',
  },  
  {
    number: 30,
    header: '¿Qué validez tienen los cursos y carreras de CodyOps?',
    body: 'Los certificados emitidos por cursos y carreras no tienen un plazo máximo de duración, de todas formas nosotros estamos continuamente actualizando los cursos y carreras por lo que sería ideal que te mantengas actualizado con las nuevas tecnologías',
  },
  {
    number: 31,
    header: '¿Qué alternativas tengo si quiero darme de baja de un curso o carrera?',
    body: '(a) Cambio de curso/carrera: podrás optar por elegir otro curso o carrera de nuestra oferta académica que se adapte a tus intereses abonando la diferencia correspondiente -en caso de haberla-. (b) Transferir a otro estudiante: con esta opción tienes la posibilidad de pasar tu curso o carrera a algún familiar o amistad de tu preferencia. Las transferencias sólo estarán disponibles para quienes hayan cursado menos del 10% del curso o carrera. (c) Reembolso: si las opciones anteriores no se ajustan contigo, podrás solicitar un reembolso sólo si has iniciado el primer curso y dentro de los primeros 7 días. No se podrá solicitar reembolso si adquiriste el curso o carrera en promoción.',
  },     
  {
    number: 32,
    header: '¿Cómo transfiero mi curso o carrera a otro estudiante?',
    body: 'Primero tenemos que habilitar al nuevo estudiante en CodyOps y luego le transferimos todos los cursos o carreras al nuevo perfil deshabilitando el original. Sólo se pueden transferir estudiantes que hayan cursado menos del 10% del curso o carrera',
  },   
  {
    number: 33,
    header: '¿Hay algún examen previo para entrar a la carrera?',
    body: 'No, no tenemos examen previo pero sí requerimos que tengas mínimo conocimiento en cómo usar una PC. No podemos ayudarte si tienes problemas con tu PC o conectarnos remotamente',
  },        
  {
    number: 34,
    header: '¿Cuentan con una Bolsa de Empleo o brindan ayuda con la eventual salida laboral?',
    body: 'Sí, tenemos un programa de pasantías remuneradas para que puedas encontrar tu primer trabajo muy rápidamente, para más información accede al siguiente link: https://www.codyops.com/internship/',
  },    
  {
    number: 35,
    header: '¿Puedo no ser elegido para la pasantía aún reuniendo los requisitos académicos?',
    body: 'Aún reuniendo los requisitos académicos, debes luego someterte a una entrevista con tu futuro empleador para la pasantía y puede que no seas elegido en caso que el empleador no lo vea conveniente',
  },
  {
    number: 37,
    header: '¿Cuánto tiempo demora la entrega del Certificado de Finalización del curso/carrera?',
    body: 'La entrega del Certificado de Finalización tiene un plazo estimado de 48 hs luego de finalizada la carrera',
  },
  {
    number: 38,
    header: 'Si realizo más de una carrera, ¿puedo seleccionar de qué carrera deseo realizar la pasantía?',
    body: 'La pasantía está sujeta a la disponibilidad de oferta entre las empresas asociadas por lo que no es posible seleccionarla',
  },    
];
