import type { Accordion } from '@/types/accordion.ts';

export type Course = {
  title: string;
  description: string;
  trainer: string;
  trainerImage: Image;
  crmPrice: number;
  crmDiscount: number;
  crmPromoCode: string;
  crmPayLink: string;
  carrers: string[];
  mainImage: Image;
  checkList: Col;
  courseContent: CourseContent;
  reviews: Review;
  includedCareer: IncludedCareer;
  categories: string[];
  level: string;
  free: boolean;
  currentPrice: string;
  recommended: boolean;
};

export type IncludedCareer = {
  modules: string;
  lessons: string;
  practicalExercises: string;
  integratingExams: string;
  globalExamination: string;
  fullTimeAccess: string;
  mobileAndTabletAccess: string;
  certificateCompletion: string;
  videos: string;
};

export type Review = {
  items: ReviewItem[];
};

export type ReviewItem = {
  name: string;
  description: string;
  date: string;
  image: any;
};

export type CourseContent = {
  duration: string;
  items: Accordion[];
};

export type Image = {
  src: string;
  alt: string;
};

export type Col = {
  title: string;
  col1: List;
  col2: List;
};

export type List = {
  items: ListItem[];
};

export type ListItem = {
  text: string;
};
